Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xquery
Class XQuery

    java.lang.Object
      org.exist.xquery.XQuery

public class XQuery
extends java.lang.Object

Author:
  wolf

Constructor Summary
`XQuery(DBBroker broker)`

Method Summary
`CompiledXQuery` | `compile(XQueryContext context, Source source)`
`CompiledXQuery` | `compile(XQueryContext context, Source source, boolean xpointer)`
`CompiledXQuery` | `compile(XQueryContext context, java.lang.String expression)`
`Sequence` | `execute(CompiledXQuery expression, Sequence contextSequence)`
`Sequence` | `execute(CompiledXQuery expression, Sequence contextSequence, boolean resetContext)`
`Sequence` | `execute(java.lang.String expression, Sequence contextSequence, AccessContext accessCtx)`
`XQueryPool` | `getXQueryPool()`
`XQueryContext` | `newContext(AccessContext accessCtx)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XQuery

    public XQuery(DBBroker broker)

Method Detail

### newContext

    public XQueryContext newContext(AccessContext accessCtx)

### getXQueryPool

    public XQueryPool getXQueryPool()

### compile

    public CompiledXQuery compile(XQueryContext context,
                                  java.lang.String expression)
                           throws XPathException

  Throws:
    `XPathException`

### compile

    public CompiledXQuery compile(XQueryContext context,
                                  Source source)
                           throws XPathException,
                                  java.io.IOException

  Throws:
    `XPathException`
    `java.io.IOException`

### compile

    public CompiledXQuery compile(XQueryContext context,
                                  Source source,
                                  boolean xpointer)
                           throws XPathException,
                                  java.io.IOException

  Throws:
    `XPathException`
    `java.io.IOException`

### execute

    public Sequence execute(CompiledXQuery expression,
                            Sequence contextSequence)
                     throws XPathException

  Throws:
    `XPathException`

### execute

    public Sequence execute(CompiledXQuery expression,
                            Sequence contextSequence,
                            boolean resetContext)
                     throws XPathException

  Throws:
    `XPathException`

### execute

    public Sequence execute(java.lang.String expression,
                            Sequence contextSequence,
                            AccessContext accessCtx)
                     throws XPathException

  Throws:
    `XPathException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.